## Net List

Net List — Network Devices List.

## Stability Level

Stable, unless otherwise indicated

## Synopsis

    #include <glibtop/netlist.h>

    #define             GLIBTOP_NETLIST_NUMBER
    #define             GLIBTOP_MAX_NETLIST
    struct              glibtop_netlist;
    char **             glibtop_get_netlist                 (glibtop_netlist *buf);
    #define             glibtop_get_netlist_r
    char **             glibtop_get_netlist_l               (glibtop *server,
                                                             glibtop_netlist *buf);
    char **             glibtop_get_netlist_p               (glibtop *server,
                                                             glibtop_netlist *buf);
    char **             glibtop_get_netlist_s               (glibtop *server,
                                                             glibtop_netlist *buf);

## Description

The application class handles ...

## Details

### GLIBTOP_NETLIST_NUMBER

    #define GLIBTOP_NETLIST_NUMBER		0

### GLIBTOP_MAX_NETLIST

    #define GLIBTOP_MAX_NETLIST		1

### struct glibtop_netlist

    struct glibtop_netlist {
    	guint64 flags;
    	guint32 number;
    };

### glibtop_get_netlist ()

    char **             glibtop_get_netlist                 (glibtop_netlist *buf);

`buf` : |
Returns : |

### glibtop_get_netlist_r

    #define glibtop_get_netlist_r		glibtop_get_netlist_p

### glibtop_get_netlist_l ()

    char **             glibtop_get_netlist_l               (glibtop *server,
                                                             glibtop_netlist *buf);

`server` : |
`buf` : |
Returns : |

### glibtop_get_netlist_p ()

    char **             glibtop_get_netlist_p               (glibtop *server,
                                                             glibtop_netlist *buf);

`server` : |
`buf` : |
Returns : |

### glibtop_get_netlist_s ()

    char **             glibtop_get_netlist_s               (glibtop *server,
                                                             glibtop_netlist *buf);

`server` : |
`buf` : |
Returns : |

## See Also

libgtop-netload